%define version 0.3.1
%define release %mkrel 4

Summary:   Eva is an IM client compatible with QQ protocol based on QT
Name:      eva
Version:   %{version}
Release:   %{release}
License:   GPL
URL:       http://www.sourceforge.net/projects/evaq
Group:     Networking/Instant messaging
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:   http://ovh.dl.sourceforge.net/sourceforge/evaq/%name-%version.tar.bz2
Source1:   eva.desktop
Source2:   eva_16.png
Source3:   eva_32.png
Source4:   eva_48.png


Patch0:    eva-0.3.1-20050827-cvs.patch.bz2
 
BuildRequires: kdelibs-devel

Requires:   kdelibs-common
Requires:   kdebase

%description
Eva is an IM client compatible with QQ protocol based on QT and KDE.

%prep
%setup -q

%patch0 -p1

%Build

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x	--disable-rpath

%make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

install -D -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/eva.desktop


# Menu
mkdir -p %{buildroot}%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Internet/Instant Messaging" $RPM_BUILD_ROOT%{_datadir}/applications/eva.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%update_menus

%files
%defattr(-,root,root)
%{_bindir}/eva
%{_menudir}/%{name}
%{_datadir}/applnk/Internet/eva.desktop
%{_datadir}/applications/%{name}.desktop

%{_datadir}/apps/eva/evaui.rc
%{_datadir}/apps/eva/image/face/*.png
%{_datadir}/apps/eva/image/face/face.theme
%{_datadir}/apps/eva/image/smiley/*.gif
%{_datadir}/apps/eva/image/smiley/smiley.theme
%{_datadir}/apps/eva/image/theme/*.png
%{_datadir}/apps/eva/image/theme/eva.theme
%{_datadir}/apps/eva/image/theme/login.mng
%{_datadir}/apps/eva/qun-category
%{_datadir}/apps/eva/servers
%{_datadir}/apps/eva/sound/msg.wav
%{_datadir}/apps/eva/sound/online.wav
%{_datadir}/apps/eva/sound/system.wav

%{_iconsdir}/hicolor/128x128/apps/eva.png
%{_iconsdir}/hicolor/16x16/apps/eva.png
%{_iconsdir}/hicolor/22x22/apps/eva.png
%{_iconsdir}/hicolor/32x32/apps/eva.png
%{_iconsdir}/hicolor/48x48/apps/eva.png
%{_iconsdir}/hicolor/64x64/apps/eva.png

%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%{_datadir}/doc/HTML/en/eva/common
%{_datadir}/doc/HTML/en/eva/index.cache.bz2
%{_datadir}/doc/HTML/en/eva/index.docbook

%{_datadir}/locale/zh_CN/LC_MESSAGES/eva.mo



%clean
rm -rf %{buildroot}

%changelog
* Mon Sep 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-4mdk
- Add icons

* Tue Aug 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdk
- New Patch0

* Thu Aug 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Sync with cvs
	- close ticket #17591

* Mon Aug 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-1mdk
- new release 0.3.1
- Make rpmbuildupdate happy 

* Mon Aug 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-6mdk
- Fix BuildRequires as pointed out by Buchan Milne :
        - Remove kdebase-devel ( not needed to build AFAIK )
	- Remove qt3-devel ( allready required by kdelibs-devel)
- Fix Requires
	- Remove qt3 ( allready requires by kdelibs ) 

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-5mdk
- Fix Build on amd64

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-4mdk
- Fix BuildRequires as pointed out by  funda wang
                         - Close ticket 17153

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-3mdk
- Fix BuildRequires

*Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0-2mdk
- disable Rpath

* Fri Jul 22 2005 Phytonix<phytonix@gmail.com> 0.3.0-1mdk
- First Mandriva release based on sourceforge Rpm
